var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });

// src/adapter/node.ts
import { fileURLToPath } from "node:url";
import { basename } from "node:path";
import { fromBuffer } from "file-type";
import { readFile } from "node:fs/promises";
import { lookup } from "node:dns/promises";
import { WebSocket } from "ws";
async function loadFile(url) {
  if (url.startsWith("file://")) {
    const data = await readFile(fileURLToPath(url));
    const result = await fromBuffer(data);
    const buffer = data.buffer.slice(data.byteOffset, data.byteOffset + data.byteLength);
    return { mime: result?.mime, filename: basename(url), data: buffer };
  }
}
__name(loadFile, "loadFile");
export {
  WebSocket,
  loadFile,
  lookup
};
